Subject: RE: [nemo] Potential conflict on NEMOv4 Type and FA-ERR Type

From: "Narayanan, Vidya" <[email-masked]>
Date: Tue, 23 May 2006 11:51:02 -0700

I stand corrected - Henrik's suggestions makes perfect sense to me. 

Thanks,
Vidya 

> -----Original Message-----
> From: Henrik Levkowetz [mailto:[email-masked]] 
> Sent: Tuesday, May 23, 2006 2:20 AM
> To: Narayanan, Vidya
> Cc: ml-nemo WG
> Subject: Re: [nemo] Potential conflict on NEMOv4 Type and FA-ERR Type
> 
> Hi,
> 
> I'd strongly suggest that you *don't* code in any specific 
> extension number - that will just make for more trouble up 
> the line.  For experimental and test deployment, you should 
> instead use the experimental type numbers (and if needed 
> message number) defined by RFC 4064, and listed on 
> http://www.iana.org/assignments/mobileip-numbers
> - one reason they were added were previous instances of 
> collisions between IANA-assigned numbers and 'self-assigned' 
> numbers such as
> 45/46 below, and many man-hours of work spent disentangling 
> such collisions.
> 
> Regards,
> 
> 	Henrik
> 
> on 2006-05-19 20:05 Narayanan, Vidya said the following:
> > Sounds good to me.  
> > 
> >> -----Original Message-----
> >> From: Alexandru Petrescu [mailto:[email-masked]]
> >> Sent: Friday, May 19, 2006 9:51 AM
> >> To: ml-nemo WG
> >> Subject: [nemo] Potential conflict on NEMOv4 Type and FA-ERR Type
> >> 
> >> I've been pointed that there seems to be a potential conflict on 
> >> NEMOv4 Mobile Network Extension Type and FA-Err Type.
> >> 
> >> NEMOv4 uses a new Type (to be assigned by IANA) in Mobile Network 
> >> Extension.  We suggested in the draft that it be 45.
> >> 
> >> FA-ERR draft-ietf-mip4-faerr-02.txt uses Type 45 for FA Error 
> >> Extension (already assigned by IANA).  The draft does not 
> specify 45, 
> >> just says TBA by IANA.  IANA seems to have assigned it, see 
> >> http://www.iana.org/assignments/mobileip-numbers.
> >> 
> >> draft-ietf-mobileip-gen-key-01.txt implemented in dynamics
> >> 0.8.1 uses 45 too, but I think this can be ignored, 
> because I think 
> >> this work has been evolved into draft-rfc3012bis which 
> uses Type 24.
> >> 
> >> To solve the issue between NEMOv4 and FA-ERR I suggest that we use 
> >> Type
> >> 46 - and not 45 - in NEMOv4 implementation, until IANA 
> assigns a Type 
> >> for NEMOv4 Mobile Network Extension.
> >> 
> >> What do you think?
> >> 
> >> Alex
> >> 
> >> 
> > 
> > 
>